<!DOCTYPE html>
<html>
<body>

<pre>gcc \
&gt; -I/opt/mhd/include \
&gt; -L/opt/mhd/lib \
&gt; -I/usr/include/postgresql \
&gt; -I/opt/gnunet/include \
&gt; src/cbox.c \
&gt; -lmicrohttpd \
&gt; -o out/cbox -lz -g
In file included from <b>/opt/gnunet/include/gnunet/gnunet_scheduler_lib.h:94:0</b>,
                 from <b>/opt/gnunet/include/gnunet/gnunet_mq_lib.h:36</b>,
                 from <b>/opt/gnunet/include/gnunet/gnunet_client_lib.h:44</b>,
                 from <b>/opt/gnunet/include/gnunet/gnunet_util_lib.h:65</b>,
                 from <b>/opt/gnunet/include/gnunet/gnunet_pq_lib.h:27</b>,
                 from <b>src/cbox.c:14</b>:
<b>/opt/gnunet/include/gnunet/gnunet_network_lib.h:123:44:</b> <font color="#AD7FA8"><b>warning: </b></font>‘<b>struct sockaddr_un</b>’ declared inside parameter list will not be visible outside of this definition or declaration
 GNUNET_NETWORK_unix_precheck (const struct <font color="#AD7FA8"><b>sockaddr_un</b></font> *un);
                                            <font color="#AD7FA8"><b>^~~~~~~~~~~</b></font>
<b>/opt/gnunet/include/gnunet/gnunet_network_lib.h:150:35:</b> <font color="#EF2929"><b>error: </b></font>unknown type name ‘<b>SOCKTYPE</b>’; did you mean ‘<b>SO_TYPE</b>’?
 GNUNET_NETWORK_socket_box_native (<font color="#EF2929"><b>SOCKTYPE</b></font> fd);
                                   <font color="#EF2929"><b>^~~~~~~~</b></font>
                                   <font color="#4E9A06">SO_TYPE</font>
In file included from <b>/opt/gnunet/include/gnunet/gnunet_util_lib.h:73:0</b>,
                 from <b>/opt/gnunet/include/gnunet/gnunet_pq_lib.h:27</b>,
                 from <b>src/cbox.c:14</b>:
<b>/opt/gnunet/include/gnunet/gnunet_os_lib.h:484:13:</b> <font color="#EF2929"><b>error: </b></font>unknown type name ‘<b>SOCKTYPE</b>’
       const <font color="#EF2929"><b>SOCKTYPE</b></font> *lsocks,
             <font color="#EF2929"><b>^~~~~~~~</b></font>
<b>/opt/gnunet/include/gnunet/gnunet_os_lib.h:510:34:</b> <font color="#EF2929"><b>error: </b></font>unknown type name ‘<b>SOCKTYPE</b>’
                            const <font color="#EF2929"><b>SOCKTYPE</b></font> * lsocks,
                                  <font color="#EF2929"><b>^~~~~~~~</b></font>
In file included from <b>/opt/gnunet/include/gnunet/gnunet_util_lib.h:80:0</b>,
                 from <b>/opt/gnunet/include/gnunet/gnunet_pq_lib.h:27</b>,
                 from <b>src/cbox.c:14</b>:
<b>/opt/gnunet/include/gnunet/gnunet_strings_lib.h:472:12:</b> <font color="#AD7FA8"><b>warning: </b></font>‘<b>struct sockaddr_in6</b>’ declared inside parameter list will not be visible outside of this definition or declaration
     struct <font color="#AD7FA8"><b>sockaddr_in6</b></font> *r_buf);
            <font color="#AD7FA8"><b>^~~~~~~~~~~~</b></font>
<b>/opt/gnunet/include/gnunet/gnunet_strings_lib.h:488:12:</b> <font color="#AD7FA8"><b>warning: </b></font>‘<b>struct sockaddr_in</b>’ declared inside parameter list will not be visible outside of this definition or declaration
     struct <font color="#AD7FA8"><b>sockaddr_in</b></font> *r_buf);
            <font color="#AD7FA8"><b>^~~~~~~~~~~</b></font>
<b>/opt/gnunet/include/gnunet/gnunet_strings_lib.h:574:18:</b> <font color="#EF2929"><b>error: </b></font>field ‘<b>network</b>’ has incomplete type
   struct in_addr <font color="#EF2929"><b>network</b></font>;
                  <font color="#EF2929"><b>^~~~~~~</b></font>
<b>/opt/gnunet/include/gnunet/gnunet_strings_lib.h:579:18:</b> <font color="#EF2929"><b>error: </b></font>field ‘<b>netmask</b>’ has incomplete type
   struct in_addr <font color="#EF2929"><b>netmask</b></font>;
                  <font color="#EF2929"><b>^~~~~~~</b></font>
<b>/opt/gnunet/include/gnunet/gnunet_strings_lib.h:597:19:</b> <font color="#EF2929"><b>error: </b></font>field ‘<b>network</b>’ has incomplete type
   struct in6_addr <font color="#EF2929"><b>network</b></font>;
                   <font color="#EF2929"><b>^~~~~~~</b></font>
<b>/opt/gnunet/include/gnunet/gnunet_strings_lib.h:602:19:</b> <font color="#EF2929"><b>error: </b></font>field ‘<b>netmask</b>’ has incomplete type
   struct in6_addr <font color="#EF2929"><b>netmask</b></font>;
                   <font color="#EF2929"><b>^~~~~~~</b></font>
In file included from <b>/opt/gnunet/include/gnunet/gnunet_util_lib.h:81:0</b>,
                 from <b>/opt/gnunet/include/gnunet/gnunet_pq_lib.h:27</b>,
                 from <b>src/cbox.c:14</b>:
<b>/opt/gnunet/include/gnunet/gnunet_tun_lib.h:138:18:</b> <font color="#EF2929"><b>error: </b></font>field ‘<b>source_address</b>’ has incomplete type
   struct in_addr <font color="#EF2929"><b>source_address</b></font> GNUNET_PACKED;
                  <font color="#EF2929"><b>^~~~~~~~~~~~~~</b></font>
<b>/opt/gnunet/include/gnunet/gnunet_tun_lib.h:143:18:</b> <font color="#EF2929"><b>error: </b></font>field ‘<b>destination_address</b>’ has incomplete type
   struct in_addr <font color="#EF2929"><b>destination_address</b></font> GNUNET_PACKED;
                  <font color="#EF2929"><b>^~~~~~~~~~~~~~~~~~~</b></font>
<b>/opt/gnunet/include/gnunet/gnunet_tun_lib.h:182:19:</b> <font color="#EF2929"><b>error: </b></font>field ‘<b>source_address</b>’ has incomplete type
   struct in6_addr <font color="#EF2929"><b>source_address</b></font> GNUNET_PACKED;
                   <font color="#EF2929"><b>^~~~~~~~~~~~~~</b></font>
<b>/opt/gnunet/include/gnunet/gnunet_tun_lib.h:187:19:</b> <font color="#EF2929"><b>error: </b></font>field ‘<b>destination_address</b>’ has incomplete type
   struct in6_addr <font color="#EF2929"><b>destination_address</b></font> GNUNET_PACKED;
                   <font color="#EF2929"><b>^~~~~~~~~~~~~~~~~~~</b></font>
<b>/opt/gnunet/include/gnunet/gnunet_tun_lib.h:733:20:</b> <font color="#EF2929"><b>error: </b></font>field ‘<b>redirect_gateway_address</b>’ has incomplete type
     struct in_addr <font color="#EF2929"><b>redirect_gateway_address</b></font> GNUNET_PACKED;
</pre>
</body>
</html>